%define upstream_name	 Module-Compile
%define upstream_version 0.38

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl Module Compilation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Prove)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Digest::SHA1) >= 2.130.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(Module::Install::Base\\)$

%description
This module provides a system for writing modules that compile other Perl
modules. Modules that use these compilation modules get compiled into some
altered form the first time they are run. The result is cached into .pmc files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# upstream packaging bug
rm -f lib/Module/._Compile.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Module
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.380.0-4.mga10
+ Revision: 2205759
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.380.0-3.mga9
+ Revision: 1812174
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.380.0-2.mga8
+ Revision: 1541354
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Dec 26 2019 tv <tv> 0.380.0-1.mga8
+ Revision: 1470066
- update to 0.38

* Thu Sep 20 2018 umeabot <umeabot> 0.370.0-2.mga7
+ Revision: 1284780
- Mageia 7 Mass Rebuild

* Tue May 01 2018 tv <tv> 0.370.0-1.mga7
+ Revision: 1224190
- update to 0.37

* Sun Jun 19 2016 pterjan <pterjan> 0.350.0-3.mga6
+ Revision: 1029940
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.350.0-2.mga6
+ Revision: 965880
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.350.0-1.mga6
+ Revision: 838662
- update to 0.35

* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-4.mga5
+ Revision: 742109
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.340.0-3.mga5
+ Revision: 735701
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.340.0-2.mga5
+ Revision: 685419
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.340.0-1.mga5
+ Revision: 664756
- update to 0.34

* Sat Aug 16 2014 sander85 <sander85> 0.290.0-1.mga5
+ Revision: 664363
- update to 0.29

* Fri Aug 15 2014 sander85 <sander85> 0.260.0-1.mga5
+ Revision: 662611
- update to 0.26

* Wed Aug 13 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 662223
- update to 0.24

* Fri Oct 18 2013 umeabot <umeabot> 0.230.0-3.mga4
+ Revision: 512949
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-2.mga3
+ Revision: 369785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 17 2011 jquelin <jquelin> 0.230.0-1.mga2
+ Revision: 108892
- update to 0.23

* Sat Jan 22 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 32194
- mageia rebuild
- imported package perl-Module-Compile


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.0
+ Revision: 407805
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.20-5mdv2009.0
+ Revision: 257852
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.20-4mdv2009.0
+ Revision: 245883
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-2mdv2008.1
+ Revision: 137000
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 12 2006 Olivier Thauvin <nanardon@mandriva.org> 0.20-1mdv2007.0
+ Revision: 95144
- 0.20
- 0.18
- Import perl-Module-Compile

* Mon Jul 10 2006 Emmanuel Andry <eandry@mandriva.org> 0.17-1mdv2007.0
- New version 0.17

* Wed Jun 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2007.0
- New version 0.16

* Thu May 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.15-4mdk
- Fix According to perl Policy
	- BuildRequires

* Wed Apr 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.15-3mdk
- Add Buildrequires

* Tue Apr 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-2mdk
- oops, really rpmbuildupdate aware

* Tue Apr 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdk
- new version
- rpmbuildupdate aware
- fix directory ownership
- spec cleanup

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.13-1mdk
- 0.13

* Mon Mar 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.12-1mdk
- Initial MDV release

